### Enumeration

# Gdk FrameResult

unstable since: 4.24

#### Declaration

    enum Gdk.FrameResult

#### Description [src]

An enumeration describing the process of rendering a frame. Rendering a frame starts with the frame clock cycle and then follows the rendered frame (if there was one) through the display server until it appears on screen.

It is relevant in particular for `GdkFrameTimings` which may still be waiting for values to be filled in.

Available since: 4.24

#### Members

`GDK_FRAME_PREPARING`

  The frame is currently being prepared and rendered by GTK. This is the initial state.

  - Value: `0`
  - Available since: 4.24
`GDK_FRAME_SKIPPED`

  GTK has determined that nothing needs to be rendered because there are no visual changes. No rendering will be submitted to the display server and because of that no information will be forthcoming from the display server.

  The frame is complete.

  - Value: `1`
  - Available since: 4.24
`GDK_FRAME_EMPTY`

  GTK has determined that nothing needs to be rendered because there are no visual changes. This information has been submitted to the display server. The presentation time has been updated to reflect when this frame would have been displayed.

  The frame is complete.

  - Value: `2`
  - Available since: 4.24
`GDK_FRAME_SUBMITTED`

  A frame has been drawn and submitted to the display server, but the display server will not provide any further feedback about when or how the frame is going to be displayed.

  The frame is complete.

  - Value: `3`
  - Available since: 4.24
`GDK_FRAME_OUTSTANDING`

  The frame has been drawn and submitted to the display server, but the display server has not yet replied what is going to happen with the rendered image.

  - Value: `4`
  - Available since: 4.24
`GDK_FRAME_DISCARDED`

  The frame has been drawn and submitted to the display server, but the display server has not displayed it. No presentation time will be available.

  The frame is complete.

  - Value: `5`
  - Available since: 4.24
`GDK_FRAME_PRESENTED`

  The frame has been drawn and submitted to the display server, and the display server has rendered it and displayed the result. The presentation time is accurately reflecting when that happened.

  The frame is complete.

  - Value: `6`
  - Available since: 4.24